/******************************************************************************
ROI.java

Direitos Autorais Reservados (c) 2009 Embrapa Informtica Agropecuria

Este programa  software livre; voc pode redistribu-lo e/ou modific-lo sob
os termos da Licena Pblica Geral GNU conforme publicada pela Free Software
Foundation; tanto a verso 2 da Licena, como (a seu critrio) qualquer verso
posterior.

Este programa  distribudo na expectativa de que seja til, porm, SEM NENHUMA
GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU ADEQUAO A UMA
FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral do GNU para mais 
detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto com este
programa; se no, escreva para a Free Software Foundation, Inc., no endereo 59
Temple Street, Suite 330, Boston, MA 02111-1307 USA.

********************************************************************************

Parte integrante do software 'Sofia Imagens - SOFtware Inteligente de Anlise 
                                              de Imagens'.

Este fonte faz parte do livro:

	Processamento de Imagens Digitais: Mtodos Multivariados em Java.
	Jos Iguelmar Miranda.
	Embrapa Informtica Agropecuria.
	Campinas, maio de 2009.

Descrio:

  Classe para criar um GeneralPath com reas de treinamento.

Entrada:

	Void

Sada:

	ROI

Desenvolvido por:

    Jos Iguelmar Miranda

Informaes do CVS:
       $Source$:
       $Revision$:
       $Date$:

******************************************************************************/

package pID;

// Pacote genrico
import java.util.Vector;

// Pacotes do AWT
import java.awt.geom.GeneralPath;
import java.awt.geom.Rectangle2D;

public class ROI {

	// ATRIBUTOS
	// gPath = conter os pixels da rea de interesse (ROI) do tema
	//				 escolhido, por exemplo, soja, cana, gua etc.
	// roiCoordenadas = guarda as coordenadas dos vrtices das ROIs.
	// rectROI = guarda as coordenadas do retngulo envolvente da ROI.
	// mascaraPixels = array para armazenar os pixels escolhidos das ROIs.
	//
	public GeneralPath gPath;
	public Vector roiCoordenadas;
	public Rectangle2D rectROI;
	public int[][] mascaraPixels;

	// CONSTRUTOR DA CLASSE

	public ROI() {
		gPath = new GeneralPath(GeneralPath.WIND_EVEN_ODD);
		roiCoordenadas = new Vector();
	}

	// MTODOS PBLICOS

	// MTODOS PRIVADOS

}
