/******************************************************************************
Temas.java

Direitos Autorais Reservados (c) 2009 Embrapa Informtica Agropecuria

Este programa  software livre; voc pode redistribu-lo e/ou modific-lo sob
os termos da Licena Pblica Geral GNU conforme publicada pela Free Software
Foundation; tanto a verso 2 da Licena, como (a seu critrio) qualquer verso
posterior.

Este programa  distribudo na expectativa de que seja til, porm, SEM NENHUMA
GARANTIA; nem mesmo a garantia implcita de COMERCIABILIDADE OU ADEQUAO A UMA
FINALIDADE ESPECFICA. Consulte a Licena Pblica Geral do GNU para mais 
detalhes.

Voc deve ter recebido uma cpia da Licena Pblica Geral do GNU junto com este
programa; se no, escreva para a Free Software Foundation, Inc., no endereo 59
Temple Street, Suite 330, Boston, MA 02111-1307 USA.

********************************************************************************

Parte integrante do software 'Sofia Imagens - SOFtware Inteligente de Anlise 
                                              de Imagens'.

Este fonte faz parte do livro:

	Processamento de Imagens Digitais: Mtodos Multivariados em Java.
	Jos Iguelmar Miranda.
	Embrapa Informtica Agropecuria.
	Campinas, maio de 2009.

Descrio:

	Guarda as amostras (ROI ou reas teste) definidas pelo usurio  

Entrada:

 Void

Sada:

 Void

Desenvolvido por:

    Jos Iguelmar Miranda

Informaes do CVS:
       $Source$:
       $Revision$:
       $Date$:

******************************************************************************/

package pID;

// Pacotes genricos
import java.util.Vector;
import java.util.Random;

// Pacotes do AWT
import java.awt.Color;

public class Temas {

	// ATRIBUTOS

	// amostras = guarda as amostras (ROI ou reas teste) definidas pelo usurio.
	//						amostras >= 1.
	// tema = nome do tema (gua, soja, milho, solo n etc.) representado
	//				em diferentes amostras ou ROIs. Cada tema pode ter uma ou
	//				mais amostras.
	// temaId = nmero de identificao do tema (gua = 1, soja = 2, 
	//					milho = 3 etc.).
	// numPixels = quantidade de pixels do tema.
	// Color temaCor = cor do tema para preenchimento dos polgonos ou ROIs.
	//
	public Vector amostras;
	public String tema;
	public int temaId, numPixels;
	public Color temaCor;

	// CONSTRUTOR DA CLASSE

	public Temas(String nomeTema) {
		tema = nomeTema;
		amostras = new Vector();
		Random r = new Random();
		numPixels = 0;
		temaCor = new Color(r.nextInt(256), r.nextInt(256), r.nextInt(256));
	}

	// MTODOS PBLICOS

	// MTODOS PRIVADOS

}
